<?php
function sanitize_input($data) {
    $data = trim($data);
    $data = stripslashes($data);
    $data = htmlspecialchars($data);
    return $data;
}

function check_login() {
    session_start();
    if (!isset($_SESSION['user_id'])) {
        header("Location: ../../pages/auth/login.php");
        exit();
    }
}

function check_admin() {
    if ($_SESSION['role'] !== 'admin') {
        header("Location: ../../pages/user/dashboard.php");
        exit();
    }
}

function check_user() {
    if ($_SESSION['role'] !== 'user') {
        header("Location: ../../admin/dashboard.php");
        exit();
    }
}

if (!function_exists('getGravatarUrl')) {
    function getGravatarUrl($email, $size = 200) {
        $emailHash = md5(strtolower(trim($email)));
        return "https://www.gravatar.com/avatar/$emailHash?s=$size&d=mp";
    }
}

function get_api_setting($name) {
    global $conn;
    $stmt = $conn->prepare("SELECT `value` FROM `api` WHERE `name` = ?");
    $stmt->execute([$name]);
    $setting = $stmt->fetch(PDO::FETCH_ASSOC);
    return $setting ? $setting['value'] : null;
}


?>
