<?php
include('../../includes/db.php');
include('../../includes/functions.php');
check_login();

$billing_cycle = $_GET['billing_cycle'];

// Fetch packages based on the billing cycle
$stmt = $conn->prepare("SELECT * FROM packages WHERE billing_cycle = ? OR billing_cycle = 'both'");
$stmt->execute([$billing_cycle]);
$packages = $stmt->fetchAll(PDO::FETCH_ASSOC);

foreach ($packages as $package): ?>
    <div class="col-md-4 mb-4">
        <div class="card h-100 shadow-sm">
            <div class="card-header bg-primary text-white">
                <h4 class="my-0 font-weight-normal"><?php echo htmlspecialchars($package['name']); ?></h4>
            </div>
            <div class="card-body d-flex flex-column">
                <h1 class="card-title pricing-card-title">$<?php echo htmlspecialchars($billing_cycle == 'yearly' ? $package['yearly_price'] : $package['monthly_price']); ?> <small class="text-muted">/ <?php echo htmlspecialchars($billing_cycle == 'yearly' ? 'yr' : 'mo'); ?></small></h1>
                <ul class="list-unstyled mt-3 mb-4">
                    <li><?php echo $package['website_limit'] == -1 ? 'Unlimited' : htmlspecialchars($package['website_limit']) . ' Websites'; ?></li>
                    <li><?php echo htmlspecialchars($package['bandwidth_limit']) . ' GB Bandwidth'; ?></li>
                    <li><?php echo nl2br(htmlspecialchars($package['features'])); ?></li>
                </ul>
                <div class="mt-auto">
                    <a href="checkout.php?package_id=<?php echo htmlspecialchars($package['id']); ?>&billing_cycle=<?php echo htmlspecialchars($billing_cycle); ?>" class="btn btn-primary btn-block">Select</a>
                </div>
            </div>
        </div>
    </div>
<?php endforeach; ?>
